require_relative "lib/version"
require 'date'

Gem::Specification.new do |s|
  s.version     = VERSION
  s.name        = File.basename(__FILE__, '.gemspec')
  s.date        = Date.today.strftime('%F')
  s.summary     = SUMMARY
  s.description = "transforms EML files to PDF"
  s.authors     = ["Michael Uplawski"]
  s.email       = 'michael.uplawski@uplawski.eu'
  s.files  	=  Dir.children('bin').collect{|f| 'bin/' << File::path(f)} + Dir.children('lib').collect{|f| 'lib/' << File::path(f) } + Dir.children('lib/gui/').collect{|f| 'lib/gui/' << File::path(f) } + Dir.children('lib/icon').collect{|f| 'lib/icon/' << File::path(f) } + Dir.children('lib/busy_indicator').collect{|f| 'lib/busy_indicator/' << File::path(f) } + %w~cremefraiche.gemspec~.collect{|f|f}  
  s.homepage    = ''
  s.requirements = 'prawn prawn-table escape nokogiri mail gtk3'
  s.add_runtime_dependency 'prawn', '~> 2.2', '>= 2.2.2'
  s.add_runtime_dependency 'prawn-table', '~> 0.2', '>= 0.2.2'
  s.add_runtime_dependency 'escape', '~> 0.0', '>= 0.0.4'
  s.add_runtime_dependency 'nokogiri', '~> 1.10', '>= 1.10.4'
  s.add_runtime_dependency 'mail', '~> 2.7', '>= 2.7.1'
  s.add_runtime_dependency 'gtk3', '~> 3.4', '>= 3.4.1'
  s.executables = 'cremefraiche', 'cremefraicheGui'
  s.license     = 'GPL-3.0'
  s.required_ruby_version = '>= 2.5'
end
